# Kernel ## Docs - [List apps](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/apps/list-apps.md): List applications. Optionally filter by app name and/or version label. - [Acquire a browser from the pool](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/acquire-a-browser-from-the-pool.md): Long-polling endpoint to acquire a browser from the pool. Returns immediately when a browser is available, or returns 204 No Content when the poll times out. The client should retry the request to continue waiting for a browser. The acquired browser will use the pool's timeout_seconds for its idle t… - [Create a browser pool](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/create-a-browser-pool.md): Create a new browser pool with the specified configuration and size. - [Delete a browser pool](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/delete-a-browser-pool.md): Delete a browser pool and all browsers in it. By default, deletion is blocked if browsers are currently leased. Use force=true to terminate leased browsers. - [Flush all idle browsers in the pool](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/flush-all-idle-browsers-in-the-pool.md): Destroys all idle browsers in the pool; leased browsers are not affected. - [Get browser pool details](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/get-browser-pool-details.md): Retrieve details for a single browser pool by its ID or name. - [List browser pools](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/list-browser-pools.md): List browser pools owned by the caller's organization. - [Release a browser back to the pool](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/release-a-browser-back-to-the-pool.md): Release a browser back to the pool, optionally recreating the browser instance. - [Update a browser pool](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browser-pools/update-a-browser-pool.md): Updates the configuration used to create browsers in the pool. - [Ad-hoc upload one or more unpacked extensions to a running browser instance.](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/ad-hoc-upload-one-or-more-unpacked-extensions-to-a-running-browser-instance.md): Loads one or more unpacked extensions and restarts Chromium on the browser instance. - [Capture a screenshot of the browser instance](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/capture-a-screenshot-of-the-browser-instance.md) - [Create a browser session](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/create-a-browser-session.md): Create a new browser session from within an action. - [Create a new directory](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/create-a-new-directory.md) - [Delete a browser session by ID.](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/delete-a-browser-session-by-id.md): Delete a browser session by ID - [Delete a directory](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/delete-a-directory.md) - [Delete a file](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/delete-a-file.md) - [Delete a persistent browser session](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/delete-a-persistent-browser-session.md): DEPRECATED: Use DELETE /browsers/{id} instead. Delete a persistent browser session by its persistent_id. - [Download a directory as a ZIP archive](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/download-a-directory-as-a-zip-archive.md): Returns a ZIP file containing the contents of the specified directory. - [Download a replay recording](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/download-a-replay-recording.md): Download or stream the specified replay recording. - [Drag the mouse along a path](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/drag-the-mouse-along-a-path.md) - [Execute a command asynchronously](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/execute-a-command-asynchronously.md) - [Execute a command synchronously](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/execute-a-command-synchronously.md) - [Execute Playwright/TypeScript code against the browser](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/execute-playwrighttypescript-code-against-the-browser.md): Execute arbitrary Playwright code in a fresh execution context against the browser. The code runs in the same VM as the browser, minimizing latency and maximizing throughput. It has access to 'page', 'context', and 'browser' variables. It can `return` a value, and this value is returned in the respo… - [Get browser session details](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/get-browser-session-details.md): Get information about a browser session. - [Get information about a file or directory](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/get-information-about-a-file-or-directory.md) - [Get process status](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/get-process-status.md) - [List browser session replays](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/list-browser-session-replays.md): List all replays for the specified browser session. - [List browser sessions](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/list-browser-sessions.md): List all browser sessions with pagination support. Use status parameter to filter by session state. - [List files in a directory](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/list-files-in-a-directory.md) - [Move or rename a file or directory](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/move-or-rename-a-file-or-directory.md) - [Move the mouse cursor to the specified coordinates on the browser instance](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/move-the-mouse-cursor-to-the-specified-coordinates-on-the-browser-instance.md) - [Press one or more keys on the host computer](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/press-one-or-more-keys-on-the-host-computer.md) - [Read file contents](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/read-file-contents.md) - [Resize a PTY-backed process terminal](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/resize-a-pty-backed-process-terminal.md) - [Scroll the mouse wheel at a position on the host computer](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/scroll-the-mouse-wheel-at-a-position-on-the-host-computer.md) - [Send signal to process](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/send-signal-to-process.md) - [Set cursor visibility](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/set-cursor-visibility.md) - [Set file or directory permissions/ownership](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/set-file-or-directory-permissionsownership.md) - [Simulate a mouse click action on the browser instance](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/simulate-a-mouse-click-action-on-the-browser-instance.md) - [Start a browser session replay recording](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/start-a-browser-session-replay-recording.md): Start recording the browser session and return a replay ID. - [Stop a browser session replay recording](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/stop-a-browser-session-replay-recording.md): Stop the specified replay recording and persist the video. - [Stop watching a directory](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/stop-watching-a-directory.md) - [Stream filesystem events for a watch](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/stream-filesystem-events-for-a-watch.md) - [Stream log files on the browser instance via SSE](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/stream-log-files-on-the-browser-instance-via-sse.md) - [Stream process stdout via SSE](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/stream-process-stdout-via-sse.md) - [Type text on the browser instance](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/type-text-on-the-browser-instance.md) - [Update browser session](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/update-browser-session.md): Update a browser session. - [Upload a zip archive and extract it](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/upload-a-zip-archive-and-extract-it.md): Upload a zip file and extract its contents to the specified destination path. - [Upload one or more files](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/upload-one-or-more-files.md): Allows uploading single or multiple files to the remote filesystem. - [Watch a directory for changes](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/watch-a-directory-for-changes.md) - [Write or create a file](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/write-or-create-a-file.md) - [Write to process stdin](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/browsers/write-to-process-stdin.md) - [Create a deployment](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/deployments/create-a-deployment.md): Create a new deployment. - [Get deployment details](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/deployments/get-deployment-details.md): Get information about a deployment's status. - [List deployments](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/deployments/list-deployments.md): List deployments. Optionally filter by application name. - [Stream deployment events via SSE](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/deployments/stream-deployment-events-via-sse.md): Establishes a Server-Sent Events (SSE) stream that delivers real-time logs and status updates for a deployment. The stream terminates automatically once the deployment reaches a terminal state. - [Delete extension by ID or name](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/extensions/delete-extension-by-id-or-name.md): Delete an extension by its ID or by its name. - [Download extension archive](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/extensions/download-extension-archive.md): Download the extension as a ZIP archive by ID or name. - [Download unpacked extension from Chrome Web Store](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/extensions/download-unpacked-extension-from-chrome-web-store.md): Returns a ZIP archive containing the unpacked extension fetched from the Chrome Web Store. - [List browser extensions](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/extensions/list-browser-extensions.md): List extensions owned by the caller's organization. - [Upload a browser extension](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/extensions/upload-a-browser-extension.md): Upload a zip file containing an unpacked browser extension. Optionally provide a unique name for later reference. - [Delete browser sessions for an invocation](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/invocations/delete-browser-sessions-for-an-invocation.md): Delete all browser sessions created within the specified invocation. - [Get invocation details](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/invocations/get-invocation-details.md): Get details about an invocation's status and output. - [Invoke an action](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/invocations/invoke-an-action.md): Invoke an action. - [List invocations](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/invocations/list-invocations.md): List invocations. Optionally filter by application name, action name, status, deployment ID, or start time. - [Stream invocation events via SSE](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/invocations/stream-invocation-events-via-sse.md): Establishes a Server-Sent Events (SSE) stream that delivers real-time logs and status updates for an invocation. The stream terminates automatically once the invocation reaches a terminal state. - [Update invocation](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/invocations/update-invocation.md): Update an invocation's status or output. This can be used to cancel an invocation by setting the status to "failed". - [Create a new profile](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/profiles/create-a-new-profile.md): Create a browser profile that can be used to load state into future browser sessions. - [Delete profile by ID or name](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/profiles/delete-profile-by-id-or-name.md): Delete a profile by its ID or by its name. - [Download profile archive](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/profiles/download-profile-archive.md): Download the profile. Profiles are JSON files containing the pieces of state that we save. - [Get profile by ID or name](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/profiles/get-profile-by-id-or-name.md): Retrieve details for a single profile by its ID or name. - [List profiles](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/profiles/list-profiles.md): List profiles with optional filtering and pagination. - [Check proxy health](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/proxies/check-proxy-health.md): Run a health check on the proxy to verify it's working. - [Create a proxy](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/proxies/create-a-proxy.md): Create a new proxy configuration for the caller's organization. - [Delete proxy by ID](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/proxies/delete-proxy-by-id.md): Soft delete a proxy. Sessions referencing it are not modified. - [Get proxy by ID](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/proxies/get-proxy-by-id.md): Retrieve a proxy belonging to the caller's organization by ID. - [List proxies](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/api-reference/proxies/list-proxies.md): List proxies owned by the caller's organization. - [Deploying](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/apps/deploy.md) - [Developing](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/apps/develop.md) - [Invoking](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/apps/invoke.md) - [Logs](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/apps/logs.md) - [Secrets](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/apps/secrets.md) - [Status](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/apps/status.md) - [Stopping](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/apps/stop.md) - [FAQ](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/auth/agent/faq.md): Frequently asked questions about Agent Auth - [Hosted UI](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/auth/agent/hosted-ui.md): The simplest way to create authenticated browser sessions - [Overview](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/auth/agent/overview.md): Create authenticated browser sessions for your automations - [Programmatic Flow](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/auth/agent/programmatic.md): Build your own credential collection UI with full control - [Credentials](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/auth/credentials.md): Automate authentication with stored credentials - [Overview](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/bot-detection/overview.md) - [Stealth Mode](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/bot-detection/stealth.md) - [Computer Controls](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/computer-controls.md): Control the computer's mouse, keyboard, and screen - [Create a Browser](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/create-a-browser.md) - [Extensions](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/extensions.md): Use browser extensions in Kernel browsers - [FAQ](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/faq.md): Frequently asked questions about Kernel browsers - [File I/O](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/file-io.md): Downloads, uploads, and manipulating the browser's filesystem - [Headless Mode](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/headless.md) - [Live View](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/live-view.md) - [Playwright Execution](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/playwright-execution.md): Execute Playwright code in the same VM as your browser - [Profiles](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/profiles.md): Persist and reuse browser session state (cookies, local storage) across sessions - [Replays](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/replays.md): Record and view browser sessions as mp4 videos - [FAQ](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/scaling/faq.md) - [Overview](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/scaling/overview.md): Recommended practices for scaling - [Browser Pools](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/scaling/pools.md): Pre-configure pools of browsers for immediate acquisition - [Standby Mode](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/standby.md) - [Termination & Timeouts](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/termination.md) - [Viewports](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/browsers/viewport.md): Configure browser viewport size and refresh rate for your automations - [Changelog](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/changelog.md): Updates and improvements - [Discord](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/community/discord.md) - [Github](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/community/github.md) - [Concepts](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/info/concepts.md) - [Pricing & Limits](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/info/pricing.md) - [Browsers on Unikernels](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/info/unikernels.md) - [1Password](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/1password.md): Use credentials from your 1Password vaults for Agent Auth - [Agent Browser](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/agent-browser.md) - [Browser Use](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/browser-use.md) - [Claude Agent SDK](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/claude-agent-sdk.md) - [Anthropic](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/computer-use/anthropic.md) - [Gemini](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/computer-use/gemini.md) - [OpenAGI](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/computer-use/openagi.md) - [OpenAI](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/computer-use/openai.md) - [Laminar](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/laminar.md) - [Magnitude](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/magnitude.md) - [Notte](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/notte.md) - [Overview](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/overview.md) - [Stagehand](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/stagehand.md) - [Val Town](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/valtown.md) - [AI SDK Tool](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/vercel/ai-sdk.md): Build AI Agents with Kernel powered browser automation capabilities - [Marketplace Integration](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/vercel/marketplace.md): Integrate Kernel through the Vercel Marketplace - [Overview](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/vercel/overview.md): Integrate Kernel with Vercel for seamless browser automation in your web applications - [Web Bot Auth](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/integrations/web-bot-auth.md): Cryptographically sign browser requests with Cloudflare's Web Bot Auth - [Introduction](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/introduction.md): Browsers-as-a-service API for web agents, automations, and more - [Scrapybara](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/migrations/scrapybara.md) - [Custom Proxies](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/proxies/custom.md) - [Datacenter Proxies](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/proxies/datacenter.md) - [ISP Proxies](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/proxies/isp.md) - [Overview](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/proxies/overview.md) - [Residential Proxies](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/proxies/residential.md) - [Quickstart](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/quickstart.md) - [Kernel CLI](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/cli.md) - [Apps](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/cli/apps.md) - [Authentication](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/cli/auth.md) - [Browsers](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/cli/browsers.md) - [Create Kernel App](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/cli/create.md) - [Extensions](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/cli/extensions.md) - [MCP](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/cli/mcp.md) - [MCP Server](https://tbd-6fc993ce-mintlify-profile-hot-load-save-changes-21459.mintlify.app/reference/mcp-server.md): Access Kernel's cloud-based browsers via MCP ## OpenAPI Specs - [spec](https://api.onkernel.com/spec.yaml)